Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Queue Class Reference

`#include <EC_Dispatching_Task.h>`

Inheritance diagram for TAO_EC_Queue:

[legend]
Collaboration diagram for TAO_EC_Queue:

[legend]
List of all members.

## Public Methods
| TAO_EC_Queue (size_t high_water_mark=ACE_Message_Queue_Base::DEFAULT_HWM, size_t low_water_mark=ACE_Message_Queue_Base::DEFAULT_LWM, ACE_Notification_Strategy *=0)
## Protected Methods
virtual int | is_full_i (void)

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Queue::TAO_EC_Queue | ( | size_t | high_water_mark = ACE_Message_Queue_Base::DEFAULT_HWM,
|  | size_t | low_water_mark = ACE_Message_Queue_Base::DEFAULT_LWM,
|  | ACE_Notification_Strategy * | = 0
| ) |

## Member Function Documentation

int TAO_EC_Queue::is_full_i | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from ACE_Message_Queue< ACE_SYNCH >.

The documentation for this class was generated from the following files:

- EC_Dispatching_Task.h
- EC_Dispatching_Task.cpp
- EC_Dispatching_Task.i